### Class

# Phosh AppListModel

since: 0

#### Description

    class Phosh.AppListModel : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

No description available.

Available since: 0

#### Ancestors

- GObject

#### Implements

- GListModel

#### Functions

###### phosh_app_list_model_get_default

No description available.

since: 0

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

unstable since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

unstable since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

unstable since: 2.44

###### g_list_model_get_object

Get the item at `position`.

unstable since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

unstable since: 2.44

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

unstable since: 2.44

#### Class structure

    struct PhoshAppListModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.